<h1 mat-dialog-title>{{ name_action }} usuario</h1>
<p></p>
<form role="form" autocomplete="off" [formGroup]="clientForm">
    <div mat-dialog-content>
        <div class="row">
            <div class="col-sm-12 col-12">
                <mat-form-field class="example-full-width">
                    <input matInput type="text" placeholder="Nombre" formControlName="name">
                    <mat-error *ngIf="name.errors && 
                    (name.touched || name.dirty)">
                        <div *ngIf="name.errors?.maxlength">
                            Solo se permiten 200 caracteres
                        </div>
                        <div *ngIf="name.errors?.validacion">
                            {{ name.errors.validacion.message }}
                        </div>
                    </mat-error>
                </mat-form-field>
            </div>  
        </div>
        <br>
        <div class="row">
            <div class="col-sm-12 col-12">
                <mat-form-field class="example-full-width">
                    <input matInput type="text" placeholder="Usuario de red" formControlName="user_network">
                    <mat-error *ngIf="user_network.errors && 
                    (user_network.touched || user_network.dirty)">
                        <div *ngIf="user_network.errors?.maxlength">
                            Solo se permiten 100 caracteres
                        </div>
                        <div *ngIf="user_network.errors?.validacion">
                            {{ user_network.errors.validacion.message }}
                        </div>
                    </mat-error>
                </mat-form-field>
            </div>  
        </div>
        <br>
        <div mat-dialog-actions class="pull-right">
            <button class="btn btn-danger btn-sm mat-button-base" mat-raised-button 
                matDialogClose (click)="cancelar()">
                <span class="mat-button-wrapper"><i class="material-icons">close</i> Cancelar</span>
            </button>
            <button type="submit" class="btn btn-primary btn-sm mat-button-base" mat-raised-button 
                (click)="save()">
                <span class="mat-button-wrapper"><i class="material-icons">save</i> Guardar</span>
            </button>
        </div>
    </div>
</form>